Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Victim_Pseudo_LRU_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Victim_Pseudo_LRU_vhdl_body.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Victim_Pseudo_LRU_vhdl_body.cpp	(revision 95)
@@ -116,45 +116,45 @@
 	}
 
-    vhdl->set_body ("");
-    vhdl->set_body ("-- port update");
-    for (uint32_t i=0; i<_param->_nb_update; i++)
-      for (int32_t j=static_cast<uint32_t>(log2(_param->_nb_entity)-1); j>=0; j--)
-	{
-	  uint32_t cpt=0;
+//     vhdl->set_body ("");
+//     vhdl->set_body ("-- port update");
+//     for (uint32_t i=0; i<_param->_nb_update; i++)
+//       for (int32_t j=static_cast<uint32_t>(log2(_param->_nb_entity)-1); j>=0; j--)
+// 	{
+// 	  uint32_t cpt=0;
 	  
-	  for (int32_t k=(1<<j)-1; k<static_cast<int32_t>(_param->_nb_entity-1); k+=(1<<(j+1)))
-	    {
-	      bool   have_cond = false;
-	      std::string cond      = "";
-	      
-	      // condition to change the bit
-	      for (uint32_t l=j+1; l<static_cast<uint32_t>(log2(_param->_nb_entity));l++)
-		{
-		  have_cond = true;
-
-		  if (l==static_cast<uint32_t>(j+1))
-		    cond += "when";
-		  else
-		    cond += " and";
-		  cond += " in_UPDATE_"+toString(i)+"_ENTITY("+toString(l)+")='"+toString((cpt>>(l-(j+1)))&1)+"'";
-		}
-	      
-	      vhdl->set_body ("update_next_entry_"+toString(i)+"("+toString(k)+") <=");
-	      vhdl->set_body ("\tnot in_UPDATE_"+toString(i)+"_ENTITY("+toString(j)+") "+cond);
-	      if (have_cond == true)
-		{
-		  std::string update_address;
-
-		  if (_param->_size_table>1)
-		    update_address = "conv_integer(in_UPDATE_"+toString(i)+"_ADDRESS)";
-		  else
-		    update_address = "0";
+// 	  for (int32_t k=(1<<j)-1; k<static_cast<int32_t>(_param->_nb_entity-1); k+=(1<<(j+1)))
+// 	    {
+// 	      bool   have_cond = false;
+// 	      std::string cond      = "";
+	      
+// 	      // condition to change the bit
+// 	      for (uint32_t l=j+1; l<static_cast<uint32_t>(log2(_param->_nb_entity));l++)
+// 		{
+// 		  have_cond = true;
+
+// 		  if (l==static_cast<uint32_t>(j+1))
+// 		    cond += "when";
+// 		  else
+// 		    cond += " and";
+// 		  cond += " in_UPDATE_"+toString(i)+"_ENTITY("+toString(l)+")='"+toString((cpt>>(l-(j+1)))&1)+"'";
+// 		}
+	      
+// 	      vhdl->set_body ("update_next_entry_"+toString(i)+"("+toString(k)+") <=");
+// 	      vhdl->set_body ("\tnot in_UPDATE_"+toString(i)+"_ENTITY("+toString(j)+") "+cond);
+// 	      if (have_cond == true)
+// 		{
+// 		  std::string update_address;
+
+// 		  if (_param->_size_table>1)
+// 		    update_address = "conv_integer(in_UPDATE_"+toString(i)+"_ADDRESS)";
+// 		  else
+// 		    update_address = "0";
 		  
-		  vhdl->set_body ("\telse reg_TABLE ("+update_address+")("+toString(k)+")");
-		}
-	      vhdl->set_body ("\t;");	      
-	      cpt ++;
-	    }
-	}
+// 		  vhdl->set_body ("\telse reg_TABLE ("+update_address+")("+toString(k)+")");
+// 		}
+// 	      vhdl->set_body ("\t;");	      
+// 	      cpt ++;
+// 	    }
+// 	}
 
     vhdl->set_body ("");
@@ -182,18 +182,18 @@
       }
 
-    vhdl->set_body ("\t\t-- Update port");
-    for (uint32_t i=0; i<_param->_nb_update; i++)
-      {
-	std::string update_address;
-
-	if (_param->_size_table>1)
-	  update_address = "conv_integer(in_UPDATE_"+toString(i)+"_ADDRESS)";
-	else
-	  update_address = "0";
+//     vhdl->set_body ("\t\t-- Update port");
+//     for (uint32_t i=0; i<_param->_nb_update; i++)
+//       {
+// 	std::string update_address;
+
+// 	if (_param->_size_table>1)
+// 	  update_address = "conv_integer(in_UPDATE_"+toString(i)+"_ADDRESS)";
+// 	else
+// 	  update_address = "0";
 		  
-	vhdl->set_body ("\t\tif (in_UPDATE_"+toString(i)+"_VAL = '1') then");
-	vhdl->set_body ("\t\t\treg_TABLE ("+update_address+") <= update_next_entry_"+toString(i)+";");
-	vhdl->set_body ("\t\tend if;");
-      }
+// 	vhdl->set_body ("\t\tif (in_UPDATE_"+toString(i)+"_VAL = '1') then");
+// 	vhdl->set_body ("\t\t\treg_TABLE ("+update_address+") <= update_next_entry_"+toString(i)+";");
+// 	vhdl->set_body ("\t\tend if;");
+//       }
 
     vhdl->set_body ("\tend if;");
@@ -210,11 +210,11 @@
       {
 	vhdl->set_body ("out_ACCESS_"+toString(i)+"_ACK    <= '1';");
-	vhdl->set_body ("out_ACCESS_"+toString(i)+"_ENTITY <= access_entity_"+toString(i)+" when in_ACCESS_"+toString(i)+"_VAL = '1' else (others => '0');");
+	vhdl->set_body ("out_ACCESS_"+toString(i)+"_VICTIM <= access_entity_"+toString(i)+" when in_ACCESS_"+toString(i)+"_VAL = '1' else (others => '0');");
       }
     vhdl->set_body ("");
-    for (uint32_t i=0; i<_param->_nb_update; i++)
-      {
-	vhdl->set_body ("out_UPDATE_"+toString(i)+"_ACK    <= '1';");
-      }
+//     for (uint32_t i=0; i<_param->_nb_update; i++)
+//       {
+// 	vhdl->set_body ("out_UPDATE_"+toString(i)+"_ACK    <= '1';");
+//       }
   };
 
